Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontosim.util.matrix
Class HalfMatrixDouble<T>

    java.lang.Object
      fr.inrialpes.exmo.ontosim.util.matrix.HalfMatrixDouble<T>

All Implemented Interfaces:
  Matrix<T,T>

    public class HalfMatrixDouble<T>

extends Object
implements Matrix<T,T>

Field Summary
`private Map<T,Integer>` | `keys`
`private int` | `newIdx`
`List<double[]>` | `values`

Constructor Summary
`HalfMatrixDouble()`

Method Summary
`boolean` | `containsCdim(T c)`
`boolean` | `containsRdim(T r)`
`double` | `get(T key1, T key2)`
`Set<T>` | `getDimC()`
`Set<T>` | `getDimR()`
`protected int` | `getKeyIdx(T key)`
`Set<T>` | `keySet()`
`void` | `put(T key1, T key2, double value)`
`void` | `putAll(Matrix<T,T> m)` Can be better implemented...
`MatrixDoubleArray<T,T>` | `toArray()`
`MatrixDoubleArray<T,T>` | `toArrayT()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### values

    public List<double[]> values

### keys

    private Map<T,Integer> keys

### newIdx

    private int newIdx

Constructor Detail

### HalfMatrixDouble

    public HalfMatrixDouble()

Method Detail

### put

    public void put(T key1,
                    T key2,
                    double value)

  Specified by:
    `put` in interface `Matrix<T,T>`

### get

    public double get(T key1,
                      T key2)

  Specified by:
    `get` in interface `Matrix<T,T>`

### keySet

    public Set<T> keySet()

  Specified by:
    `keySet` in interface `Matrix<T,T>`

### getKeyIdx

    protected int getKeyIdx(T key)

### getDimC

    public Set<T> getDimC()

  Specified by:
    `getDimC` in interface `Matrix<T,T>`

### getDimR

    public Set<T> getDimR()

  Specified by:
    `getDimR` in interface `Matrix<T,T>`

### toArray

    public MatrixDoubleArray<T,T> toArray()

  Specified by:
    `toArray` in interface `Matrix<T,T>`

### toArrayT

    public MatrixDoubleArray<T,T> toArrayT()

  Specified by:
    `toArrayT` in interface `Matrix<T,T>`

### containsCdim

    public boolean containsCdim(T c)

  Specified by:
    `containsCdim` in interface `Matrix<T,T>`

### containsRdim

    public boolean containsRdim(T r)

  Specified by:
    `containsRdim` in interface `Matrix<T,T>`

### putAll

    public void putAll(Matrix<T,T> m)

  Can be better implemented...

  Specified by:
    `putAll` in interface `Matrix<T,T>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OntoSim 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2008-2009